Dictanova Developer Portal

Empower your data with semantic analysis. Integrate new features of customer feedback analysis with the Dictanova API.

Get Started
Ask A Question

Questions

2
ANSWERED

Handshake SSL error with Python

*Environnement :* OSX Python 3.5.2 (v3.5.2:4def2a2901a5, Jun 26 2016, 10:47:25) [GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin OpenSSL 0.9.8zh 14 Jan 2016 *Description :* ``` >>> r = requests.post("https://api.dictanova.io/v1/token", json=payload) Traceback (most recent call last): File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/urllib3/connectionpool.py", line 601, in urlopen chunked=chunked) File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/urllib3/connectionpool.py", line 346, in _make_request self._validate_conn(conn) File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/urllib3/connectionpool.py", line 850, in _validate_conn conn.connect() File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/urllib3/connection.py", line 326, in connect ssl_context=context) File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/urllib3/util/ssl_.py", line 329, in ssl_wrap_socket return context.wrap_socket(sock, server_hostname=server_hostname) File "/Library/Frameworks/Python.framework/Versions/3.5/lib/python3.5/ssl.py", line 377, in wrap_socket _context=self) File "/Library/Frameworks/Python.framework/Versions/3.5/lib/python3.5/ssl.py", line 752, in __init__ self.do_handshake() File "/Library/Frameworks/Python.framework/Versions/3.5/lib/python3.5/ssl.py", line 988, in do_handshake self._sslobj.do_handshake() File "/Library/Frameworks/Python.framework/Versions/3.5/lib/python3.5/ssl.py", line 633, in do_handshake self._sslobj.do_handshake() ssl.SSLEOFError: EOF occurred in violation of protocol (_ssl.c:645) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/requests/adapters.py", line 440, in send timeout=timeout File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/urllib3/connectionpool.py", line 639, in urlopen _stacktrace=sys.exc_info()[2]) File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/urllib3/util/retry.py", line 388, in increment raise MaxRetryError(_pool, url, error or ResponseError(cause)) urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='api.dictanova.io', port=443): Max retries exceeded with url: /v1/token (Caused by SSLError(SSLEOFError(8, 'EOF occurred in violation of protocol (_ssl.c:645)'),)) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/requests/api.py", line 112, in post return request('post', url, data=data, json=json, **kwargs) File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/requests/api.py", line 58, in request return session.request(method=method, url=url, **kwargs) File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/requests/sessions.py", line 508, in request resp = self.send(prep, **send_kwargs) File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/requests/sessions.py", line 618, in send r = adapter.send(request, **kwargs) File "/Users/Fabien/pyenv/py3-main/lib/python3.5/site-packages/requests/adapters.py", line 506, in send raise SSLError(e, request=request) requests.exceptions.SSLError: HTTPSConnectionPool(host='api.dictanova.io', port=443): Max retries exceeded with url: /v1/token (Caused by SSLError(SSLEOFError(8, 'EOF occurred in violation of protocol (_ssl.c:645)'),)) ```

Posted by Fabien 6 months ago